
#ifndef __OGLVERTEXBUFFER_H_
#define __OGLVERTEXBUFFER_H_
/**************************************************************************************
* This file is part of the GameFramework project released by Wazoo Enterprises Inc.
* under the GNU Public License. 
*
* Any projects using this code must attach these copyright notices along with their
* own as outlined at http://www.gnu.org
*
* Copyright 2003 by Wazoo Enterprises Inc.
* To contact the auther, send a message to wazoo@wazooenterprises.com
*
****************************************************************************************/


#include <windows.h>
#include <d3dx8.h>
#include <gl\gl.h>
#include "..\vbInterface.h"


class OGLVertexBuffer : public vbInterface {

public:
	OGLVertexBuffer();
	~OGLVertexBuffer();
		
	HRESULT createVB(int, VOID* = NULL);
	void destroyVB();

	HRESULT lockVB();
	void unlockVB();

	void addTriToVB(D3DXVECTOR3 pos,
		FLOAT r, FLOAT g, FLOAT b, FLOAT a);

	void flushVB();


};

#endif